import request from '@/utils/request'
// 获取信息分类接口
export function getAllCategory(params) {
  return request({
    url: '/api/informationClass/findAllInformationClass',
    method: 'get',
    params
  })
}
// 选择个人获取所有销售人员
export function deliverList() {
  return request({
    url: '/api/notice/findAllSalesman',
    method: 'get',
  })
}
// 获取所有部门
export function allDepartments() {
  return request({
    url: '/api/statistics/findAllSaleDept',
    method: 'get',
  })
}
//获取表格 echarts图数据
export function getEchrtsData(params) {
  return request({
    url: '/api/statistics/findInfoStaticsByWrapper',
    method: 'get',
    params:params
  })
}
// 导出
export function expRecord(params) {
  return request({
    url: '/api/statistics/exportCustomerFollowSituation',
    method: 'get',
    params,
    // responseType:'blob',
  })
}
// 导出客户回访资料
export function expClientData(params) {
  return request({
    url: '/api/statistics/download',
    method: 'get',
    params,
    // responseType:'blob',
  })
}